Page MenuHomePhabricator

Need a way to generate MathML for contour/surface/volume integrals
Closed, ResolvedPublic

Description

The help for displaying a formula suggests to use PNG images in order to write \oiint and \oiiint:

https://en.wikipedia.org/wiki/Help:Displaying_a_formula#.5Coiint_and_.5Coiiint_as_PNG_images
https://en.wikipedia.org/wiki/Help:Displaying_a_formula#Oriented_.5Coiint_and_.5Coiiint_as_PNG_images

I actually first noticed that on https://en.wikipedia.org/wiki/Gauss%27s_law#Integral_form

This results in poor rendering even in the MathML mode. This is also not accessible, or more precisely it splits the MathML formula into several parts (MathML and HTML <img>) which can confuse assistive technologies.

The MathML operator dictionary contains the following characters for that purpose (http://www.w3.org/TR/MathML3/appendixc.html):

&#x222E; ∮ contour integral
&#x222F; ∯ surface integral
&#x2230; ∰ volume integral
&#x2232; ∲ clockwise contour integral
&#x2233; ∳ anticlockwise contour integral

Event Timeline

fredw created this task.Jul 9 2015, 11:09 AM
fredw raised the priority of this task from to Needs Triage.
fredw updated the task description. (Show Details)
fredw added projects: Mathoid, Math, Accessibility.
fredw added a subscriber: fredw.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2015, 11:09 AM
Physikerwelt triaged this task as Medium priority.Jul 20 2015, 12:26 AM
Physikerwelt set Security to None.
Physikerwelt added subscribers: Physikerwelt, Pkra.
Physikerwelt removed a project: Math.

@fredw:
I'd use the following naming convention
0222E \oint
0222F \oiint
02230 \oiiint
02231 \intclockwise
02232 \varointclockwise
02233 \ointctrclockwise
cf. https://github.com/physikerwelt/utf8tex/blob/master/unicode2tex.csv
or would you prefere
https://github.com/physikerwelt/utf8tex/blob/master/unicode2classicTex.csv

I don't have preference, but please check http://ctan.org/pkg/unicode-math and their GitHub repo.

  • Mail original -----

De: "Physikerwelt" <no-reply@phabricator.wikimedia.org>
À: "fred wang" <fred.wang@free.fr>
Envoyé: Mardi 10 Novembre 2015 11:11:20
Objet: [Maniphest] [Commented On] T105310: Need a way to generate MathML for contour/surface/volume integrals

Physikerwelt added a comment.

@fredw:
I'd use the following naming convention
0222E \oint
0222F \oiint
02230 \oiiint
02231 \intclockwise
02232 \varointclockwise
02233 \ointctrclockwise
cf. https://github.com/physikerwelt/utf8tex/blob/master/unicode2tex.csv
or would you prefere
https://github.com/physikerwelt/utf8tex/blob/master/unicode2classicTex.csv

TASK DETAIL

https://phabricator.wikimedia.org/T105310

EMAIL PREFERENCES

https://phabricator.wikimedia.org/settings/panel/emailpreferences/

To: Physikerwelt
Cc: Pkra, Physikerwelt, Aklapper, fredw, mobrovac

At least this recommondation comes from https://raw.githubusercontent.com/physikerwelt/utf8tex/master/unicode.xml which was recommended to me by David Carlisle, so I think it is all right.

I think unicode-math is also based on David Carlisle's unicode.xml so that should be the same commands. (but please check)

Physikerwelt closed this task as Resolved.Apr 7 2016, 2:21 PM

change was merged. Should be resolved now